LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Enumerations
File types

## Enumerations
enum | oslFileType { osl_File_Type_Directory , osl_File_Type_Volume , osl_File_Type_Regular , osl_File_Type_Fifo , osl_File_Type_Socket , osl_File_Type_Link , osl_File_Type_Special , osl_File_Type_Unknown }

## Detailed Description

## Enumeration Type Documentation

## ◆ oslFileType

enum oslFileType

Enumerator
osl_File_Type_Directory |
osl_File_Type_Volume |
osl_File_Type_Regular |
osl_File_Type_Fifo |
osl_File_Type_Socket |
osl_File_Type_Link |
osl_File_Type_Special |
osl_File_Type_Unknown |